Declare Sub NMVSI_EMActivate        Lib "NMVBHC.DLL" Alias "NMVSI_Activate"      (ByVal VspId%, ByVal p1 As String  )  
Declare Sub NMVSI_EMActivateOld     Lib "NMVBHC.DLL" Alias "NMVSI_ActivateOld"   (ByVal VspId%, ByVal p1 As String, ByVal p2 As Integer,ByVal p3 As String  )  
Declare Sub NMVSI_EMCaptureOn       Lib "NMVBHC.DLL" Alias "NMVSI_CaptureOn"     (ByVal VspId%, ByVal p1 As String, ByVal p2 As String  )  
Declare Sub NMVSI_EMCaptureOff      Lib "NMVBHC.DLL" Alias "NMVSI_CaptureOff"    (ByVal VspId%  )  
Declare Sub NMVSI_EMConnect         Lib "NMVBHC.DLL" Alias "NMVSI_Connect"       (ByVal VspId%, ByVal p1 As String  )
Declare Sub NMVSI_EMDial            Lib "NMVBHC.DLL" Alias "NMVSI_Dial"          (ByVal VspId%, ByVal p1 As String, ByVal p2 As Integer )  
Declare Sub NMVSI_EMDisconnect      Lib "NMVBHC.DLL" Alias "NMVSI_Disconnect"    (ByVal VspId%, ByVal p1 As String  )
Declare Sub NMVSI_EMDisconnectExit  Lib "NMVBHC.DLL" Alias "NMVSI_DisconnectExit" (ByVal VspId%, ByVal p1 As String  )
Declare Sub NMVSI_Emulation         Lib "NMVBHC.DLL" Alias "NMVSI_Emulation"     (ByVal VspId%, ByVal p1 As String  )  
Declare Sub NMVSI_EMFT3270Receive   Lib "NMVBHC.DLL" Alias "NMVSI_FT3270Receive" (ByVal VspId%, ByVal p1 As String, ByVal p2 As String, ByVal p3 As String  )  
Declare Sub NMVSI_EMFT3270Send      Lib "NMVBHC.DLL" Alias "NMVSI_FT3270Send"    (ByVal VspId%, ByVal p1 As String, ByVal p2 As String, ByVal p3 As String  )  
Declare Sub NMVSI_EMFTAS400         Lib "NMVBHC.DLL" Alias "NMVSI_FTAS400"       (ByVal VspId%, ByVal p1 As String, ByVal p2 As String, ByVal p3 As String, ByVal p4 As String  )  
Declare Sub NMVSI_EMFTAsciiReceive  Lib "NMVBHC.DLL" Alias "NMVSI_FTAsciiReceive"(ByVal VspId%, ByVal p1 As String, ByVal p2 As String  )  
Declare Sub NMVSI_EMFTAsciiSend     Lib "NMVBHC.DLL" Alias "NMVSI_FTAsciiSend"   (ByVal VspId%, ByVal p1 As String, ByVal p2 As String  )  
Declare Sub NMVSI_FTPChangeDir      Lib "NMVBHC.DLL" Alias "NMVSI_FTPChangeDir"  (ByVal VspId%, ByVal p1 As String  )  
Declare Sub NMVSI_FTPConnect        Lib "NMVBHC.DLL" Alias "NMVSI_FTPConnect"    (ByVal VspId%, ByVal p1 As String, ByVal p2 As String, ByVal p3 As String  )   
Declare Sub NMVSI_FTPDeleteFile     Lib "NMVBHC.DLL" Alias "NMVSI_FTPDeleteFile" (ByVal VspId%, ByVal p1 As String  )  
Declare Sub NMVSI_FTPDisconnect     Lib "NMVBHC.DLL" Alias "NMVSI_FTPDisconnect" (ByVal VspId%  )  
Declare Sub NMVSI_FTPDirToFile      Lib "NMVBHC.DLL" Alias "NMVSI_FTPDirToFile"  (ByVal VspId%, ByVal p1 As String, ByVal p2 As String  )   
Declare Sub NMVSI_FTPMakeDir        Lib "NMVBHC.DLL" Alias "NMVSI_FTPMakeDir"    (ByVal VspId%, ByVal p1 As String  )  
Declare Sub NMVSI_FTPSend           Lib "NMVBHC.DLL" Alias "NMVSI_FTPSend"       (ByVal VspId%, ByVal p1 As String, ByVal p2 As String, ByVal p3 As String, ByVal p4 As String  )  
Declare Sub NMVSI_FTPReceive        Lib "NMVBHC.DLL" Alias "NMVSI_FTPReceive"    (ByVal VspId%, ByVal p1 As String, ByVal p2 As String, ByVal p3 As String, ByVal p4 As String  )  
Declare Sub NMVSI_EMHangup          Lib "NMVBHC.DLL" Alias "NMVSI_Hangup"        (ByVal VspId%  )  
Declare Sub NMVSI_MailAddress       Lib "NMVBHC.DLL" Alias "NMVSI_MailAddress"   (ByVal VspId%, ByVal p1 As String, ByVal p2 As String  )  
Declare Sub NMVSI_MailAttach        Lib "NMVBHC.DLL" Alias "NMVSI_MailAttach"    (ByVal VspId%, ByVal p1 As String  )  
Declare Sub NMVSI_MailSend          Lib "NMVBHC.DLL" Alias "NMVSI_MailSend"      (ByVal VspId%  )  
Declare Sub NMVSI_MailPrepare       Lib "NMVBHC.DLL" Alias "NMVSI_MailPrepare"   (ByVal VspId%, ByVal p1 As String, ByVal p2 As String, ByVal p3 As String, ByVal p4 As String  )  
Declare Sub NMVSI_EMReadAttribute   Lib "NMVBHC.DLL" Alias "NMVSI_ReadAttribute" (ByVal VspId%, ByVal p1 As Integer,ByVal p2 As Integer,ByRef p3 As Integer,ByRef p4 As Integer )  
Declare Sub NMVSI_EMReadCursor      Lib "NMVBHC.DLL" Alias "NMVSI_ReadCursor"    (ByVal VspId%, ByRef p1 As Integer,ByRef p2 As Integer )  
Declare Sub NMVSI_EMReadScreen      Lib "NMVBHC.DLL" Alias "NMVSI_ReadScreen"    (ByVal VspId%, ByRef p1 As String, ByVal p2 As Integer,ByVal p3 As Integer,ByVal p4 As Integer )  
Declare Sub NMVSI_EMScreenSize      Lib "NMVBHC.DLL" Alias "NMVSI_ScreenSize"    (ByVal VspId%, ByRef p1 As Integer,ByRef p2 As Integer )  
Declare Sub NMVSI_EMSearch          Lib "NMVBHC.DLL" Alias "NMVSI_Search"        (ByVal VspId%, ByVal p1 As String, ByVal p2 As Integer,ByVal p3 As Integer,ByRef p4 As Integer,ByRef p5 As Integer)  
Declare Sub NMVSI_EMSendKey         Lib "NMVBHC.DLL" Alias "NMVSI_SendKey"       (ByVal VspId%, ByVal p1 As String  )  
Declare Sub NMVSI_EMSendKeyFast     Lib "NMVBHC.DLL" Alias "NMVSI_SendKeyFast"   (ByVal VspId%, ByVal p1 As String  )  
Declare Sub NMVSI_EMSendKeyPassword Lib "NMVBHC.DLL" Alias "NMVSI_SendKeyPassword"(ByVal VspId%,ByVal p1 As String  )  
Declare Sub NMVSI_EMSetCursor       Lib "NMVBHC.DLL" Alias "NMVSI_SetCursor"     (ByVal VspId%, ByVal p1 As Integer,ByVal p2 As Integer )  
Declare Sub NMVSI_EMSetSerial       Lib "NMVBHC.DLL" Alias "NMVSI_SetSerial"     (ByVal VspId%, ByVal p1 As String, ByVal p2 As Long,   ByVal p3 As Integer,ByVal p4 As String  )  
Declare Sub NMVSI_EMSetTelnet       Lib "NMVBHC.DLL" Alias "NMVSI_SetTelnet"     (ByVal VspId%, ByVal p1 As String, ByVal p2 As Integer )  
Declare Sub NMVSI_EMSetTN3270       Lib "NMVBHC.DLL" Alias "NMVSI_SetTN3270"     (ByVal VspId%, ByVal p1 As String, ByVal p2 As Integer,ByVal p3 As Integer,ByVal p4 As String  )  
Declare Sub NMVSI_EMSetTN5250       Lib "NMVBHC.DLL" Alias "NMVSI_SetTN5250"     (ByVal VspId%, ByVal p1 As String, ByVal p2 As Integer,ByVal p3 As Integer,ByVal p4 As String  )  
Declare Sub NMVSI_EMSetPCSAPPC      Lib "NMVBHC.DLL" Alias "NMVSI_SetPCSAPPC"    (ByVal VspId%, ByVal p1 As String, ByVal p2 As String  )  
Declare Sub NMVSI_EMSetNWSAA3270    Lib "NMVBHC.DLL" Alias "NMVSI_SetNWSAA3270"  (ByVal VspId%, ByVal p1 As String, ByVal p2 As String, ByVal p3 As String, ByVal p4 As String, ByVal p5 As String, ByVal p6 As String, ByVal p7 As Integer)  
Declare Sub NMVSI_EMSetNTSNA3270    Lib "NMVBHC.DLL" Alias "NMVSI_SetNTSNA3270"  (ByVal VspId%, ByVal p1 As String  )  
Declare Sub NMVSI_EMSetDFT          Lib "NMVBHC.DLL" Alias "NMVSI_SetDFT"        (ByVal VspId%, ByVal p1 As Integer )  
Declare Sub NMVSI_EMWriteScreen     Lib "NMVBHC.DLL" Alias "NMVSI_WriteScreen"   (ByVal VspId%, ByVal p1 As String, ByVal p2 As Integer,ByVal p3 As Integer )
Declare Sub NMVSI_EMWaitAttribute   Lib "NMVBHC.DLL" Alias "NMVSI_WaitAttribute" (ByVal VspId%, ByVal p1 As Long,   ByVal p2 As Integer,ByVal p3 As Integer,ByVal p4 as Integer )  
Declare Sub NMVSI_EMWaitCursor      Lib "NMVBHC.DLL" Alias "NMVSI_WaitCursor"    (ByVal VspId%, ByVal p1 As Long,   ByVal p2 As Integer,ByVal p3 As Integer )  
Declare Sub NMVSI_EMWaitLineTexts   Lib "NMVBHC.DLL" Alias "NMVSI_WaitLineTexts" (ByVal VspId%, ByVal p1 As String, ByVal p2 As Long,   ByRef p3 As Integer,ByRef globArr1() As String )  
Declare Sub NMVSI_EMWaitText        Lib "NMVBHC.DLL" Alias "NMVSI_WaitText"      (ByVal VspId%, ByVal p1 As Long,   ByVal p2 As String, ByVal p3 As Integer,ByVal p4 As Integer,ByRef p5 As Integer,ByRef p6 As Integer )  
Declare Sub NMVSI_EMWaitTexts       Lib "NMVBHC.DLL" Alias "NMVSI_WaitTexts"     (ByVal VspId%, ByVal p1 As Long,   ByRef p2 As Integer,ByRef p3 As Integer,ByRef p4 As Integer,ByRef globArr2() As String )  
Declare Sub NMVSI_EMWaitX           Lib "NMVBHC.DLL" Alias "NMVSI_WaitX"         (ByVal VspId%, ByVal p1 As Long,   ByRef p2 As Integer )  
Declare Sub NMVSI_EMSendAndWait     Lib "NMVBHC.DLL" Alias "NMVSI_SendAndWait"   (ByVal VspId%, ByVal p1 As String, ByVal p2 As Long,   ByVal p3 As String  )  
Declare Sub NMVSI_EMSendAndWaitArray Lib"NMVBHC.DLL" Alias "NMVSI_SendAndWaitArr"(ByVal VspId%, ByVal p1 As String, ByVal p2 As Long,   ByRef addGlobArr1() As String,  ByRef p4 As Integer )  

Declare Sub NMVSI_EMActivateAtPos   Lib "NMVBHC.DLL" Alias "NMVSI_ActivateAtPos" (ByVal VspId%, ByVal p1 As String, ByVal p2 As Integer,ByVal p3 As Integer,ByVal p4 As Integer,ByVal p5 As Integer )  
Declare Sub NMVSI_EMActivateAndHide Lib "NMVBHC.DLL" Alias "NMVSI_ActivateAndHide"(ByVal VspId%,ByVal p1 As String  )  
Declare Sub NMVSI_EMSetConfigFile   Lib "NMVBHC.DLL" Alias "NMVSI_SetConfigFile" (ByVal VspId%, ByVal p1 As String, ByVal p2 As String  )  
Declare Sub NMVSI_EMSetProfile      Lib "NMVBHC.DLL" Alias "NMVSI_SetProfile"    (ByVal VspId%, ByVal p1 As String, ByVal p2 As String  )  

Declare Sub NMVSI_SysReDim          Lib "NMVBHC.DLL" Alias "NMVSI_ReDim"         (ByVal VspId%, ByRef globArr() As String, ByVal p2 As Integer  )  

Declare Sub NMVSI_StrEncrypt        Lib "NMVBHC.DLL" Alias "NMVSI_Encrypt"       (ByVal VspId%, ByVal p1 As String, ByRef p2 As String )
Declare Sub NMVSI_StrReverse        Lib "NMVBHC.DLL" Alias "NMVSI_Reverse"       (ByVal VspId%, ByVal p1 As String, ByRef p2 As String )
Declare Sub NMVSI_StrParse          Lib "NMVBHC.DLL" Alias "NMVSI_ParseString"   (ByVal VspId%, ByVal p1 As String, ByVal p2 As String, ByVal p3 As Integer, ByRef p4 As String )
Declare Sub NMVSI_SysDosExec        Lib "NMVBHC.DLL" Alias "NMVSI_DosExec"       (ByVal VspId%, ByVal p1 As String  )
Declare Sub NMVSI_SysWinExec        Lib "NMVBHC.DLL" Alias "NMVSI_WinExec"       (ByVal VspId%, ByVal p1 As String  )
Declare Sub NMVSI_SysReadClipBoard  Lib "NMVBHC.DLL" Alias "NMVSI_ReadClipBoard" (ByVal VspId%, ByRef p1 As String  )
Declare Sub NMVSI_SysWriteClipBoard Lib "NMVBHC.DLL" Alias "NMVSI_WriteClipBoard"(ByVal VspId%, ByVal p1 As String  )
Declare Sub NMVSI_SysHide           Lib "NMVBHC.DLL" Alias "NMVSI_Hide"          (ByVal VspId%, ByVal p1 As String  )
Declare Sub NMVSI_SysShow           Lib "NMVBHC.DLL" Alias "NMVSI_Show"          (ByVal VspId%, ByVal p1 As String  )
Declare Sub NMVSI_SysDelay          Lib "NMVBHC.DLL" Alias "NMVSI_Delay"         (ByVal VspId%, ByVal p1 As Long    )
Declare Sub NMVSI_SysWait           Lib "NMVBHC.DLL" Alias "NMVSI_Wait"          (ByVal VspId%, ByVal p1 As String  )
Declare Sub NMVSI_SysGetTime        Lib "NMVBHC.DLL" Alias "NMVSI_GetTime"       (ByVal VspId%, ByRef p1 As String  )

